<template>
  <div id="app">
    <router-view/>
  </div>
</template>

<script>
export default {
  name: 'App',
  methods: {
    setCurrentUser() {
      this.$store.dispatch('currentUser/setCurrentUser');
    },
  },
  created() {
    // Once the app is created set the current user
    // for ref see the store/currentUser.js
    this.setCurrentUser();
  },
};
</script>

<style lang="scss">
@import url('https://fonts.googleapis.com/css?family=Muli:400,700,900');
@import '~styles/colors.scss';

html, body {
  /* background: linear-gradient(90deg, #00C9FF 0%, #92FE9D 100%); */
  /* background: linear-gradient(135deg, $gradient-left 0%, $gradient-right 100%); */
  background-color: $background-white;
  min-height: 100%;
  min-width: 100%;
}

html {
  height: 100%;
  width: 100%;
}

body {
  display: flex;
  align-items: center;
  justify-content: space-around;

  margin: 0;
}

#app {
  min-width: 100%;

  font-family: 'Muli', sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: $text-primary;
}
</style>
